#ifndef CAMPAIGN_H
#define CAMPAIGN_H

#include <string>
#include <vector>
#include "Level.h"

class Campaign
{
public:

	enum Difficulty
	{
		EASY,
		NORMAL,
		ADVANCED,
		HARD,
		SUICIDE
	};

private:

	std::string m_name;
	std::string m_author;
	Difficulty m_difficulty;
	std::vector<Level> m_levels;

public:

	const std::string & name() const;
	const std::string & author() const;
	const Difficulty & difficulty() const;
	const std::vector<Level> & levels() const;
	
};

inline const std::string & Campaign::name() const { return m_name; }
inline const std::string & Campaign::author() const { return m_author; }
inline const Campaign::Difficulty & Campaign::difficulty() const { return m_difficulty; }
inline const std::vector<Level> & Campaign::levels() const { return m_levels; }

#endif // CAMPAIGN_H