#ifndef DATABANK_H
#define DATABANK_H

#include <vector>
#include "Campaign.h"
#include "Mesh.h"

class DataBank
{
private:

	static DataBank * m_instance;

	std::vector<Campaign> m_loadedCampaigns;
	Geometry::Mesh * m_roadMesh;

	DataBank();

public:

	static DataBank * instance();

	~DataBank();

	const std::vector<Campaign> & campaigns() const;
	void loadCampaigns();
	const Geometry::Mesh & roadMesh() const;
	
};

inline DataBank * DataBank::instance()
{
	if (m_instance == nullptr) m_instance = new DataBank();
	return m_instance;
}

inline DataBank::~DataBank() { delete m_roadMesh; }

inline const std::vector<Campaign> & DataBank::campaigns() const { return m_loadedCampaigns; }
inline const Geometry::Mesh & DataBank::roadMesh() const { return *m_roadMesh; }

#endif // DATABANK_H