#include "Face.h"

#include <iterator>

namespace Geometry
{

	std::ostream & operator<<(std::ostream & stream, const Face & face)
	{
		stream << "Points { ";
		std::copy(face.m_points.begin(), face.m_points.end(), std::ostream_iterator<Point3D>(stream, ", "));
		stream << " }";
		
		return stream;
	}

	FaceBuilder & FaceBuilder::addPoint(Point3D point)
	{
		m_face.m_points.push_back(point);
		return *this;
	}

}