#include "Line.h"

#include <iterator>

namespace Geometry
{

	std::ostream & operator<<(std::ostream & stream, const Line & line)
	{
		stream << "Points { ";
		std::copy(line.m_points.begin(), line.m_points.end(), std::ostream_iterator<Point3D>(stream, ", "));
		stream << " }";

		return stream;
	}

	LineBuilder & LineBuilder::addPoint(Point3D point)
	{
		m_line.m_points.push_back(point);
		return *this;
	}

};