#ifndef LINE_H
#define LINE_H

#include <vector>
#include <ostream>

#include "Point3D.h"

namespace Geometry
{
	
	class LineBuilder;

	// -------------------------------- //

	class Line
	{
		friend class LineBuilder;
		friend std::ostream & operator<<(std::ostream & stream, const Line & line);

	private:
		std::vector<Point3D> m_points;
		Line();

	public:

		const std::vector<Point3D> & points() const;
		
	};

	inline const std::vector<Point3D> & Line::points() const { return m_points; }
	inline Line::Line() {}

	// -------------------------------- //

	class LineBuilder
	{
	private:

		Line m_line;

	public:

		LineBuilder();
		LineBuilder & addPoint(Point3D point);
		Line create();
	};

	inline LineBuilder::LineBuilder() {}
	inline Line LineBuilder::create() { return m_line; }

};

#endif // LINE_H