#ifndef PLAYERSTATE_H
#define PLAYERSTATE_H

class PlayerState
{
public:

	enum Direction
	{
		LEFT,
		RIGHT
	};

private:

	bool m_locked;
	bool m_jumping;
	Direction m_direction;


public:
	PlayerState();

	const bool isLocked() const;
	const bool isJumping() const;
	const Direction & direction() const;
	
};

inline const bool PlayerState::isLocked() const { return m_locked; }
inline const bool PlayerState::isJumping() const { return m_jumping; }
inline const Direction & PlayerState::direction() const { return m_direction; }

#endif // PLAYERSTATE_H