#ifndef POINT3D_H
#define POINT3D_H

#include <ostream>

namespace Geometry
{

	class Point3D
	{
		friend std::ostream & operator<<(std::ostream & stream, const Point3D & point);
	private:

		float m_x;
		float m_y;
		float m_z;

	public:
		Point3D(float x, float y, float z);

		const float x() const;
		const float y() const;
		const float z() const;

		Point3D delta(float dX, float dY, float dZ) const;
		
	};

	inline Point3D::Point3D(float x, float y, float z) : m_x(x), m_y(y), m_z(z) {}

	inline const float Point3D::x() const { return m_x; }
	inline const float Point3D::y() const { return m_y; }
	inline const float Point3D::z() const { return m_z; }
	inline Point3D Point3D::delta(float dX, float dY, float dZ) const { return Point3D(m_x + dX, m_y + dY, m_z + dZ); }

};

#endif // POINT3D_H